.section {
  width: 100%;
  height: 100vh;
  background: transparent;
  display: flex;
  flex-direction: column;
  color: $c-primary;
  align-items: flex-start;
  justify-content: flex-start;
  padding: 1em 1em 5em 1em;
  &--home {
    align-items: center;
    justify-content: flex-start;
    h1 {
      padding: 6vw;
      mix-blend-mode: screen;
    }
    &-img {
      flex: 1;
      padding: 2em;
      animation: flip 0.8s ease-in-out 0.5s 1 forwards;
      transform-origin: 0 100%;
      transform: rotateY(90deg);
      img {
        filter: drop-shadow(0px 60px 20px #131b2399);
        display: block;
        object-fit: contain;
        height: 100%;
        width: 100%;
      }
    }
  }
  &--contact {
    padding: 0;
    & > div {
      padding: 5em 0;
      position: relative;
      justify-content: center;
      align-content: center;
      justify-items: center;
      align-items: center;
      h2 {
        padding: 0 10%;
      }
      .rolling-container {
        width: 100%;
        font-size: 0.15rem;
        .rolling {
          border-top: solid thin $c-primary;
          border-bottom: solid thin $c-primary;
          padding: 7em 0em;
          background-size: auto 8em;
          background-repeat: repeat-x;
          display: block;
          width: 100%;
          height: 4em;
          filter: grayscale(1);
          transition: 0.3s;
          &:hover {
            filter: grayscale(0);
          }
          &--tel {
            background-image: url("../img/contact/tel.svg");
            animation: they_see_me_rollin calc(91.84 * 10s / 200) linear
              infinite;
          }
          &--mail {
            background-image: url("../img/contact/mail.svg");
            animation: they_see_me_rollin__2 calc(191.36 * 10s / 200) linear
              reverse infinite;
          }
        }
      }
    }
    .apearable {
      font-size: 12em;
      font-weight: 600;
      text-transform: uppercase;
      letter-spacing: 0.1em;
    }
  }
}

@keyframes they_see_me_rollin {
  //source : https://www.youtube.com/watch?v=CtwJvgPJ9xw
  0% {
    background-position: 0;
  }
  to {
    background-position: -91.84em;
  }
}

@keyframes they_see_me_rollin__2 {
  //source : https://www.youtube.com/watch?v=CtwJvgPJ9xw
  0% {
    background-position: 0;
  }
  to {
    background-position: -191.36em;
  }
}
@media only screen and (min-width: 768px) {
  .section {
    padding-top: 5em;
    &--home {
      align-items: flex-start;
      &-img {
        position: absolute;
        height: 80%;
        width: 40%;
        top: 5rem;
        left: 40%;
        z-index: -1;
        padding: 0;
        img {
          filter: drop-shadow(60px 60px 20px #131b2399);
        }
      }
    }
    &--contact {
      padding: 0;
      & > div {
        .rolling-container {
          font-size: 0.25em;
        }
      }
    }
  }
}

@media only screen and (min-width: 1025px) and (min-height: 1024px) {
  .section {
    &--contact {
      & > div {
        .rolling-container {
          font-size: 0.35em;
        }
      }
    }
  }
}
